Bug 1004587 - SELinux is preventing /usr/bin/system-setup-keyboard from write, search access on the directory /etc/X11/xorg.conf.d.
SELinux is preventing /usr/bin/system-setup-keyboard from write, search acces...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:13fb66694de840132227d6f1aeb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 22:01 EDT by Joe Zeff
Modified: 2015-02-18 06:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:26:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Zeff 2013-09-04 22:01:20 EDT
Description of problem:
I found that for some reason setroubleshoot was no longer installed and corrected it.  When I ran it, I found this.
SELinux is preventing /usr/bin/system-setup-keyboard from write, search access on the directory /etc/X11/xorg.conf.d.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that system-setup-keyboard should be allowed write search access on the xorg.conf.d directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep system-setup-ke /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:keyboardd_t:s0
Target Context                system_u:object_r:xserver_etc_t:s0
Target Objects                /etc/X11/xorg.conf.d [ dir ]
Source                        system-setup-ke
Source Path                   /usr/bin/system-setup-keyboard
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           system-setup-keyboard-0.8.8-2.fc17.i686
Target RPM Packages           xorg-x11-server-Xorg-1.14.2-9.fc19.i686
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.10-200.fc19.i686.PAE #1 SMP
                              Thu Aug 29 19:16:15 UTC 2013 i686 i686
Alert Count                   3
First Seen                    2013-08-02 15:22:00 PDT
Last Seen                     2013-09-02 14:54:20 PDT
Local ID                      5b347f17-a93a-496d-acf2-e90c9bd162b0

Raw Audit Messages
type=AVC msg=audit(1378158860.425:27): avc:  denied  { write search } for  pid=453 comm="system-setup-ke" name="xorg.conf.d" dev="sda6" ino=1175714 scontext=system_u:system_r:keyboardd_t:s0 tcontext=system_u:object_r:xserver_etc_t:s0 tclass=dir


type=SYSCALL msg=audit(1378158860.425:27): arch=i386 syscall=access success=no exit=EACCES a0=804985e a1=3 a2=436f7000 a3=0 items=0 ppid=1 pid=453 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=system-setup-ke exe=/usr/bin/system-setup-keyboard subj=system_u:system_r:keyboardd_t:s0 key=(null)

Hash: system-setup-ke,keyboardd_t,xserver_etc_t,dir,write,search

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.i686.PAE
type:           libreport
Comment 1 Miroslav Grepl 2013-09-05 09:18:14 EDT
Lukas,
we could change the boinc policy to handle execmem/execstack better and a new boolean for it. Basically BOINC needs this access but we should allow it using booolean for a user which run BOINC without these perms.
Comment 2 Miroslav Grepl 2013-09-05 09:20:07 EDT
(In reply to Miroslav Grepl from comment #1)
> Lukas,
> we could change the boinc policy to handle execmem/execstack better and a
> new boolean for it. Basically BOINC needs this access but we should allow it
> using booolean for a user which run BOINC without these perms.

Wrong bug number.
Comment 3 Miroslav Grepl 2013-09-05 09:21:32 EDT
What does s-c-keyboard write to this directory?
Comment 4 Joe Zeff 2013-09-15 19:40:13 EDT
Description of problem:
All I know is that this showed up when SELinux reported an entirely different bug just now.

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.10.11-200.fc19.i686.PAE
type:           libreport
Comment 5 Fedora End Of Life 2015-01-09 17:17:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 06:26:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.